%global git_date  20241008
%global git_hash  f13cefa
%global git_ver  1.8.0

%global rel  31

%global src_name %{name}-%{git_date}-%{git_hash}.tar.xz


Name:           swayidle
Version:	%{git_ver}^%{git_date}g%{git_hash}
Release:	%{rel}%{?dist}
Summary:        Idle management daemon for Wayland
License:        MIT
URL:            https://github.com/swaywm/swayidle

Source0:	%{url}/%{src_name}

BuildRequires:  gcc-c++
BuildRequires:  git
BuildRequires:  make
BuildRequires:  meson
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  wayland-devel
BuildRequires:  scdoc
BuildRequires:  systemd-devel
#BuildRequires:  cmake


%description
This is sway's idle management daemon, swayidle. It is compatible with any Wayland compositor which implements the ext-idle-notify protocol.


%prep
%autosetup -p 1 -n %{name}
mkdir %{_target_platform}

%build
%meson
%meson_build

%install
%meson_install

%files
%license LICENSE
%doc README.md
%{_mandir}/man1/sway*.1*
%{_bindir}/swayidle
%{_datadir}/bash-completion/completions/sway*
%{_datadir}/fish/vendor_completions.d/sway*
%{_datadir}/zsh/site-functions/_sway*

%changelog
